#include <stdio.h>
#include <stdlib.h>
#include <time.h>

float pi(int n)
{
   int i, k=0;
   float x, y;

   srand(time(0));

   for(i=0; i<n; i++)
   {  
      x = (float)rand()/RAND_MAX;
      y = (float)rand()/RAND_MAX;
      if (y*y < 1 - x*x) k++;
   }
   return 4.0*(float)k/n;
}

int main()
{
   int i;
   float x;
   
   printf("       N    pi\n-------------------\n");
   for(i=1; i<= 1e7; i*=10)
   {
      x = pi(i);
      printf("%8d  %8f\n", i, x);
   }

   return 0;
}
